Page MenuHomePhabricator

Increase tolerance of browser processing time metrics
Closed, ResolvedPublic

Description

The network transfer and network round-trip time metrics are fairly stable in CI.

But, the processing time metrics (loadEventEnd, firstPaint, etc.) have a fair bit of variance, causing quite a lot of false negatives. I feel like this has gotten worse in recent weeks, possibly since the PHP 7.2 upgrade, which may've also changed other aspects of the base image (Chromium version, Debian minor version patches etc.)

Ideas:

Disabling might be the best given that these metrics currently capture a very wide range of processing activities, including much idle time for other OS/Network/Disk interaction.

Once we have T221179, we will have smaller buckets of time metrics that capture only the processing of our own JavaScript code which strict start and end times for those sequences of (mostly) dedicated CPU time. That will be less prone to variance, and also have the benefit of telling you exactly where the regression was found (and whether it thus could be related to your change).

See also:

Event Timeline

Krinkle created this task.Jul 1 2019, 2:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 1 2019, 2:57 PM
kchapman assigned this task to Krinkle.Jul 1 2019, 7:51 PM
kchapman moved this task from Inbox to Doing on the Performance-Team board.
Krinkle triaged this task as Normal priority.Jul 2 2019, 7:32 PM

Change 520802 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[performance/fresnel@master] reports: Raise navtiming and paint thesholds to +100ms and +10ms

https://gerrit.wikimedia.org/r/520802

Change 520802 merged by jenkins-bot:
[performance/fresnel@master] reports: Raise navtiming and paint thesholds to +100ms and +10ms

https://gerrit.wikimedia.org/r/520802

Change 525597 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[performance/fresnel@master] Tag v0.4.0

https://gerrit.wikimedia.org/r/525597

Change 525597 merged by jenkins-bot:
[performance/fresnel@master] Tag v0.4.0

https://gerrit.wikimedia.org/r/525597

Change 525608 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[integration/config@master] fresnel: Upgrade quibble-fresnel to Fresnel 0.4.0

https://gerrit.wikimedia.org/r/525608

Change 525608 merged by jenkins-bot:
[integration/config@master] fresnel: Upgrade quibble-fresnel to Fresnel 0.4.0

https://gerrit.wikimedia.org/r/525608

Change 525616 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[integration/config@master] fresnel: Update job to Fresnel 0.4.0 (quibble-fresnel:0.0.34-1)

https://gerrit.wikimedia.org/r/525616

Mentioned in SAL (#wikimedia-releng) [2019-07-25T18:17:47Z] <Krinkle> Updating docker-pkg files on contint1001 for https://gerrit.wikimedia.org/r/525608 - T227004)

Change 525616 merged by jenkins-bot:
[integration/config@master] fresnel: Update job to Fresnel 0.4.0 (quibble-fresnel:0.0.34-1)

https://gerrit.wikimedia.org/r/525616

Krinkle closed this task as Resolved.Thu, Jul 25, 6:53 PM
Krinkle removed a project: Patch-For-Review.